## org.eclipse.datatools.sqltools.parsers.sql.util
Class EObjectPrinter

    java.lang.Object
      org.eclipse.datatools.sqltools.parsers.sql.util.EObjectPrinter

    public class EObjectPrinter

extends java.lang.Object

Author:
  christiankadner TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`boolean` `preprocessReferences` Printing the AST takes more time if set to true, all references of the AST will be indexed with their level in the AST, so the references of an EObject contained in the AST will only be traversed, if there's no higher level occurence of the same EObject in the AST.

Constructor Summary
`EObjectPrinter()`

Method Summary
`java.io.PrintWriter` `printEObjectReferenceTree(org.eclipse.emf.ecore.EObject p_object)` Prints the given EObject and its refernced EObjects in a tree structure to the PrintStream.
`java.io.PrintWriter` `printEObjectReferenceTree(org.eclipse.emf.ecore.EObject p_object, boolean flush)` Prints the given EObject and its refernced EObjects in a tree structure to the PrintStream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### preprocessReferences

    public boolean preprocessReferences

  Printing the AST takes more time if set to true, all references of the AST will be indexed with their level in the AST, so the references of an EObject contained in the AST will only be traversed, if there's no higher level occurence of the same EObject in the AST.

Constructor Detail

### EObjectPrinter

    public EObjectPrinter()

Method Detail

### printEObjectReferenceTree

    public java.io.PrintWriter printEObjectReferenceTree(org.eclipse.emf.ecore.EObject p_object)

  Prints the given EObject and its refernced EObjects in a tree structure to the PrintStream. The output will be flushed to the underlying System.out stream.

### printEObjectReferenceTree

    public java.io.PrintWriter printEObjectReferenceTree(org.eclipse.emf.ecore.EObject p_object,
                                                         boolean flush)

  Prints the given EObject and its refernced EObjects in a tree structure to the PrintStream. If autoflush is set to true the output will be flushed to the underlying System.out stream.